Description

Potential issue with either Ul or Part Module.
Description:

If procedural fairings are used to connect two stages®, once the stages are separated the fairing is marked as deployed, but will not
physically fire.
After this, there is no way to trigger the fairings to deploy and they will remain between saving and loading.

This behaviour seems incorrect, as it leaves physics-ess objects that are marked as deployed and not possible to remove.
Steps to reproduce:

Create a craft with two stages separated by decoupler.

Both stages should have a means of control.

Between the two stages create a cylinder procedural fairing.

Place the decoupler staging event before the fairing staging event.

In flight, stage the decoupler event.

While in control of craft with procedural fairing base, will no longer be able to deploy fairings.

See attached VAB image for example craft.
See attached In Flight image for bug in flight.

*(I.E. 'close fairing' is used when connecting to another stage of a craft)

History

#1 - 11/05/2018 10:03 PM - Beale

Potential fix

Allow fairings to be manually deployed at all times.

#2 - 11/06/2018 07:43 PM - Beale
- File bugged example craft.craft added

Please see craft file.

#3 - 11/06/2018 10:38 PM - Lupi
- File Kerbalev-U.craft added
- Status changed from New to Confirmed

- % Done changed from 0 to 10
Further reproduction steps:

Take craft (Kerbalev-U) and place the decoupler for the escape tower in a stage before or concurrent with the fairing.

run through the vehicle's staging in flight and observe how the fairing behaves if the escape tower is decoupled before the fairing is staged

#4 - 11/06/2018 10:38 PM - Lupi

- Category changed from Gameplay to Parts

#6 - 12/20/2018 07:38 PM - joshua.collins
- Status changed from Confirmed to Ready to Test
- Target version set to 1.6.0

- % Done changed from 10 to 80

#7 - 02/26/2019 02:47 PM - klesh
- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

Just gave thisa goin 1.6.1. The bug is still present.

#9 - 04/11/2019 07:37 PM - chris.fulton
- Status changed from Not Fixed to Ready to Test
- Target version changed from 1.6.0 to 1.7.0

- % Done changed from 50 to 80

Changes have been made in 1.7, moving this bug to RTT. Can you check if it is indeed fixed?

#10 - 04/12/2019 03:54 PM - klesh
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

chris.fulton wrote:

Changes have been made in 1.7, moving this bug to RTT. Can you check if it is indeed fixed?

| just recreated the craft in the OP, gave it a test, and it does seem to be fixed now. Well done. Setting to resolved.

#11 - 04/12/2019 06:18 PM - chris.fulton

- Status changed from Resolved to Closed

#12 - 04/20/2019 08:56 PM - Anonymous

A couple side-effects of this change were reported at #21915
In Flight.png 742 KB 11/05/2018 Beale

VAB.png 1.14 MB 11/05/2018 Beale

bugged example craft.craft 24.6 KB 11/06/2018 Beale
